API Reference
Social Channels
Connected messaging channels.
6 endpoints· Auth: API Key
get
/api/v1/store/integrations/social/channels API KeyGet channels
Responses
200Success
cURL
curl -X GET "https://stagging-api.sendyiq.com/api/v1/store/integrations/social/channels" \
-H "X-API-Key: <YOUR_API_KEY>" Try itagainst staging · https://stagging-api.sendyiq.com
Set credentials in the “Authorize” menu
patch
/api/v1/store/integrations/social/channels/{channelId} API KeyUpdate channelId
Path parameters
| channelIdrequired string (uuid) | — |
Request body
application/json
{
"displayName": "string",
"accessToken": "string",
"appSecret": "string",
"aiProviderCode": "string",
"aiModelCode": "string",
"systemPromptOverride": "string",
"tokenExpiresAt": "2026-06-18T16:11:34.106Z"
}| displayName string | — |
| accessToken string | — |
| appSecret string | — |
| aiProviderCode string | — |
| aiModelCode string | — |
| systemPromptOverride string | — |
| tokenExpiresAt string (date-time) | — |
Responses
200Success
cURL
curl -X PATCH "https://stagging-api.sendyiq.com/api/v1/store/integrations/social/channels/{channelId}" \
-H "Content-Type: application/json" \
-H "X-API-Key: <YOUR_API_KEY>" \
-d '{
"displayName": "string",
"accessToken": "string",
"appSecret": "string",
"aiProviderCode": "string",
"aiModelCode": "string",
"systemPromptOverride": "string",
"tokenExpiresAt": "2026-06-18T16:11:34.105Z"
}' Try itagainst staging · https://stagging-api.sendyiq.com
Path parameters
Request body (JSON)
Set credentials in the “Authorize” menu
delete
/api/v1/store/integrations/social/channels/{channelId} API KeyDelete channelId
Path parameters
| channelIdrequired string (uuid) | — |
Responses
200Success
cURL
curl -X DELETE "https://stagging-api.sendyiq.com/api/v1/store/integrations/social/channels/{channelId}" \
-H "X-API-Key: <YOUR_API_KEY>" Try itagainst staging · https://stagging-api.sendyiq.com
Path parameters
Set credentials in the “Authorize” menu
post
/api/v1/store/integrations/social/channels/{channelId}/rotate-token API KeyCreate rotate-token
Path parameters
| channelIdrequired string (uuid) | — |
Responses
200Success
cURL
curl -X POST "https://stagging-api.sendyiq.com/api/v1/store/integrations/social/channels/{channelId}/rotate-token" \
-H "X-API-Key: <YOUR_API_KEY>" Try itagainst staging · https://stagging-api.sendyiq.com
Path parameters
Set credentials in the “Authorize” menu
post
/api/v1/store/integrations/social/channels/{channelId}/toggle-agent API KeyCreate toggle-agent
Path parameters
| channelIdrequired string (uuid) | — |
Request body
application/json
{
"enabled": false
}| enabled boolean | — |
Responses
200Success
cURL
curl -X POST "https://stagging-api.sendyiq.com/api/v1/store/integrations/social/channels/{channelId}/toggle-agent" \
-H "Content-Type: application/json" \
-H "X-API-Key: <YOUR_API_KEY>" \
-d '{
"enabled": false
}' Try itagainst staging · https://stagging-api.sendyiq.com
Path parameters
Request body (JSON)
Set credentials in the “Authorize” menu
post
/api/v1/store/integrations/social/channels/website API KeyCreate website
Request body
application/json
{
"displayName": "string",
"aiProviderCode": "string",
"aiModelCode": "string",
"systemPromptOverride": "string",
"isAgentEnabled": false
}| displayName string | — |
| aiProviderCode string | — |
| aiModelCode string | — |
| systemPromptOverride string | — |
| isAgentEnabled boolean | — |
Responses
200Success
cURL
curl -X POST "https://stagging-api.sendyiq.com/api/v1/store/integrations/social/channels/website" \
-H "Content-Type: application/json" \
-H "X-API-Key: <YOUR_API_KEY>" \
-d '{
"displayName": "string",
"aiProviderCode": "string",
"aiModelCode": "string",
"systemPromptOverride": "string",
"isAgentEnabled": false
}' Try itagainst staging · https://stagging-api.sendyiq.com
Request body (JSON)
Set credentials in the “Authorize” menu